#include <stdio.h>
#include <stdlib.h>
#include <time.h>

int main()
{ 
   long i;                /* loop counter */
   int j;                 /* loop counter */
   int x;                 /* first die */
   int y;                 /* second die */
   int sum[ 13 ] = { 0 }; /* count occurrences of each combination */

   /* array expected contains counts for the expected 
      number of times each sum occurs in 36 rolls of the dice */
   int expected[ 13 ] = { 0, 0, 1, 2, 3, 4, 5, 6, 5, 4, 3, 2, 1};
   
   
   srand( time( NULL ) ); /* seed random number generator */
   
   /* roll dice 36,000 times */
   for ( i = 1; i <= 36000; i++ ) { 
      x = 1 + rand() % 6; 
      y = 1 + rand() % 6;
      ++sum[ x + y ];
   } /* end for */
   
   printf( "%10s%10s%10s%10s\n", "Sum", "Total", "Expected", "Actual" );
   
   /* display results of rolling dice */
   for ( j = 2; j <= 12; j++ ) {
      printf( "%10d%10d%9.3f%%%9.3f%%\n", j, sum[ j ], 
         100.0 * expected[ j ] / 36, 100.0 * sum[ j ] / 36000 );
   } /* end for */

   return 0; /* indicate successful termination */

} /* end main */

